> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-11/v11-9-0.md).

# Version 11.9.0 Changelog (November 26, 2025)

Review the 11.9.0 change log for Android

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 11.9.0 of the Apryse cross-platform APIs. Most non-module related changes apply to Android.

## New

* Added ability to jump with widget field in read-only mode.

## Fixes

* Fixed issue where localized precision labels were not adjustable
* Updated `org.apache.commons:commons-lang3` to v3.18.0.

## APIs

### PDFViewCtrlTools package

#### AnnotUtils

* *new* static method: Integer getGoToActionWidgetPage(Annot)

#### ToolbarItem

* *new* constructor: ToolbarItem(String, ToolbarButtonType, int, boolean, boolean, int, String, int, int, boolean, int, int)
* *new* field: int secondaryIcon
* *new* method: void setSecondaryIcon(int)

#### AnnotationToolbarComponent

* *new* method: void setAlwaysShowIconHighlightColor(int, boolean, int)

#### AnnotationToolbarTheme

* *new* constructor: AnnotationToolbarTheme(int, int, int, int, int, int, int, int, int, int, int, int)
* *new* final field: int secondaryIconColor
* *removed* constructor: AnnotationToolbarTheme(int, int, int, int, int, int, int, int, int, int, int)

#### ActionButton

* *new* method: void setSecondaryIcon(int)
* *new* method: void setSecondaryIconColor(int)

#### AnnotationToolbarView

* *new* method: void setAlwaysShowIconHighlightColor(int, boolean, int)

#### ToolbarButton

* *new* method: void setSecondaryIcon(int)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/android/changelogs/version-11/v11-9-0.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
